Devel::MAT::Tool::Callers(3pm)

NAME
"Devel::MAT::Tool::Callers" - display the caller stack

DESCRIPTION
This "Devel::MAT" tool displays the captured state of the caller stack, showing which functions have been called, and what their arguments were.

COMMANDS

  callers
   pmat> callers
   caller(0): &main::func => void
     at program.pl line 4
     $_[0]: SCALAR(PV) at 0x55c2bdce2778 = "arguments"
     $_[1]: SCALAR(PV) at 0x55c2bdce2868 = "go"
     $_[2]: SCALAR(PV) at 0x55c2bdce26e8 = "here"

Prints details of the caller stack, including arguments to functions.

Takes the following named options:

--pad, -P
    Additionally show the contents of the active PAD at this depth.

AUTHOR
Paul Evans <leonerd@leonerd.org.uk>